> ## Documentation Index
> Fetch the complete documentation index at: https://developers.vidbeo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update identity provider

> Update an identity provider's details



## OpenAPI

````yaml patch /idps/{IDENTITY_PROVIDER_ID}
openapi: 3.0.3
info:
  title: Video API
  description: Use our Video API to handle your video storage, transcoding and delivery.
  contact:
    name: Vidbeo Support
    url: https://www.vidbeo.com
    email: support@vidbeo.com
  version: 2.0.0
servers:
  - url: https://api.vidbeo.com/v2
security:
  - bearerAuth: []
tags:
  - name: Analytics
  - name: API keys
  - name: Audit logs
  - name: Categories
  - name: Folders
  - name: Identity providers
  - name: Invites
  - name: JWT keys
  - name: Players
  - name: Services
  - name: Stream keys
  - name: Tokens
  - name: Transcribes
  - name: Uploads
  - name: Users
  - name: Videos
paths:
  /idps/{IDENTITY_PROVIDER_ID}:
    parameters:
      - $ref: '#/components/parameters/idpId'
    patch:
      tags:
        - Identity providers
      summary: Update identity provider
      description: Update an identity provider's details
      requestBody:
        $ref: '#/components/requestBodies/IdentityProvider'
      responses:
        '200':
          $ref: '#/components/responses/IdentityProvider'
        '404':
          $ref: '#/components/responses/Error404'
components:
  parameters:
    idpId:
      name: IDENTITY_PROVIDER_ID
      in: path
      description: ID of the identity provider
      required: true
      schema:
        type: string
        example: abcde12345abcde12345a
  requestBodies:
    IdentityProvider:
      required: true
      content:
        application/json:
          schema:
            type: object
            properties:
              name:
                type: string
                minLength: 1
                maxLength: 40
                example: Example
              company:
                type: string
                enum:
                  - google
                  - okta
                example: google
              type:
                type: string
                enum:
                  - saml2
                example: saml2
              certificate:
                description: The public certificate the IDP will provide
                type: string
                example: '----- BEGIN PUBLIC KEY -----\nMIIII...'
              entity_id:
                description: The entity ID your application uses
                type: string
                example: https://example.com/signin
              signin_url:
                description: The URL the IDP expects SAML2 requests to be POSTed to
                type: string
                example: https://example.com/signin
  responses:
    IdentityProvider:
      description: Identity provider
      content:
        application/json:
          schema:
            type: object
            required:
              - success
              - result
              - links
              - errors
            properties:
              success:
                type: boolean
                example: true
              result:
                $ref: '#/components/schemas/IdentityProvider'
              links:
                type: object
                example: {}
              errors:
                type: array
                items:
                  type: object
                minLength: 0
                maxLength: 0
                example: []
    Error404:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            required:
              - success
              - result
              - links
              - errors
            properties:
              success:
                type: boolean
                example: false
              result:
                type: object
                example: {}
              links:
                type: object
                example: {}
              errors:
                type: array
                items:
                  type: object
                  properties:
                    message:
                      type: string
                      example: Not found
            example:
              success: false
              result: {}
              links: {}
              errors:
                - message: Not found
  schemas:
    IdentityProvider:
      type: object
      required:
        - id
        - name
        - company
        - type
        - certificate
        - entity_id
        - signin_url
        - created_by
        - created_time
        - updated_by
        - updated_time
      properties:
        id:
          type: string
          minLength: 21
          maxLength: 21
          example: abcde12345abcde12345a
        name:
          type: string
          minLength: 1
          maxLength: 40
          example: Example
        company:
          type: string
          enum:
            - google
            - okta
          example: google
        type:
          type: string
          enum:
            - saml2
          example: saml2
        certificate:
          type: string
          minLength: 1
          maxLength: 500
          example: |-
            ----- BEGIN PUBLIC KEY -----
            MIIII...
        entity_id:
          type: string
          minLength: 1
          maxLength: 500
          example: https://example.com/signin
        signin_url:
          type: string
          minLength: 1
          maxLength: 500
          example: https://example.com/signin
        created_by:
          type: string
          minLength: 21
          maxLength: 21
          example: abcde12345abcde12345a
        created_time:
          type: string
          format: date-time
          example: '2024-01-01T00:00:00.000Z'
        updated_by:
          type: string
          minLength: 21
          maxLength: 21
          example: abcde12345abcde12345a
        updated_time:
          type: string
          format: date-time
          example: '2024-01-01T00:00:00.000Z'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````